#include <ServoEasing.hpp> //makes sure to install in the same root library directory as servo.h is located in
#include <Servo.h>

//original code by Smalls 2024
//servoeasing library download link: https://www.arduino.cc/reference/en/libraries/servoeasing/
//servoeasing library documentation: https://github.com/ArminJo/ServoEasing 

ServoEasing breathe; //use this instead of Servo to define your object
ServoEasing tilt; //use this instead of Servo to define your object
ServoEasing rotate; //use this instead of Servo to define your object

void setup() {
  breathe.attach(2); //attaches the servo on pin 9 to the servo object  
  writeAllServos(90); //sets all servos to neutral middle position at boot
}

void loop() {
  breathe.attach(2); //attaches the servo on pin 9 to the servo object  
  breathe.setEasingType(EASE_QUARTIC_IN); //types of easing can be found at https://easings.net/ 
  breathe.easeTo(165, 45); //angle moved to and blocking aka time for arrival to the angle, lower the blocking number the slower the servo moves
  breathe.easeTo(90, 45); //sets servo back to neutral position
  breathe.detach(); //allows servo to rest and not hold a position if pressue is on it, preventing servo overheating 
}
